<?php 
require_once "../core/configGeneral.php";
require_once "../modelos/Articulo.php";

$articulo=new Articulo();

$idarticulo							=isset($_POST["idarticulo"])? limpiarCadena($_POST["idarticulo"]):"";
$idcategoria						=isset($_POST["idcategoria"])? limpiarCadena($_POST["idcategoria"]):"";
$idalmacen							=isset($_POST["idalmacen"])? limpiarCadena($_POST["idalmacen"]):"";
$idcategoriadeunidades	=isset($_POST["idcategoriadeunidades"])? limpiarCadena($_POST["idcategoriadeunidades"]):"";
$idfactorunidademedidad	=isset($_POST["idfactorunidademedidad"])? limpiarCadena($_POST["idfactorunidademedidad"]):"";
$idunidademedidad				=isset($_POST["idunidademedidad"])? limpiarCadena($_POST["idunidademedidad"]):"";
$idtipoarticulo					=isset($_POST["idtipoarticulo"])? limpiarCadena($_POST["idtipoarticulo"]):"";
$idalicuota							=isset($_POST["idalicuota"])? limpiarCadena($_POST["idalicuota"]):"";
$unidademedidad					=isset($_POST["unidademedidad"])? limpiarCadena($_POST["unidademedidad"]):"";
$impuestoart18					=isset($_POST["impuestoart18"])? limpiarCadena($_POST["impuestoart18"]):"";
$impuestoart18d					=isset($_POST["impuestoart18d"])? limpiarCadena($_POST["impuestoart18d"]):"";
$gradoalcohol						=isset($_POST["gradoalcohol"])? limpiarCadena($_POST["gradoalcohol"]):"";
$codigo									=isset($_POST["codigo"])? limpiarCadena($_POST["codigo"]):"";
$nombre									=isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$stock									=isset($_POST["stock"])? limpiarCadena($_POST["stock"]):"0";
$precio									=isset($_POST["precio"])? limpiarCadena($_POST["precio"]):"0";
$preciod								=isset($_POST["preciod"])? limpiarCadena($_POST["preciod"]):"0";
$preciopvp							=isset($_POST["preciopvp"])? limpiarCadena($_POST["preciopvp"]):"0";
$preciopvpd							=isset($_POST["preciopvpd"])? limpiarCadena($_POST["preciopvpd"]):"0";
$costo									=isset($_POST["costo"])? limpiarCadena($_POST["costo"]):"0";
$costod									=isset($_POST["costod"])? limpiarCadena($_POST["costod"]):"0";
$costoa									=isset($_POST["costoa"])? limpiarCadena($_POST["costoa"]):"0";
$costoad								=isset($_POST["costoad"])? limpiarCadena($_POST["costoad"]):"0";
$peso										=isset($_POST["peso"])? limpiarCadena($_POST["peso"]):"0";
$largo									=isset($_POST["largo"])? limpiarCadena($_POST["largo"]):"0";
$ancho									=isset($_POST["ancho"])? limpiarCadena($_POST["ancho"]):"0";
$alto										=isset($_POST["alto"])? limpiarCadena($_POST["alto"]):"0";
$descripcion						=isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";
$imagen									=isset($_POST["imagen"])? limpiarCadena($_POST["imagen"]):"";
$exento									=isset($_POST["exento"])? limpiarCadena($_POST["exento"]):"";
$preciolbs							=isset($_POST["preciolbs1"])? limpiarCadena($_POST["preciolbs1"]):"";
$preciorbs							=isset($_POST["preciorbs1"])? limpiarCadena($_POST["preciorbs1"]):"";
$preciodbs							=isset($_POST["preciodbs1"])? limpiarCadena($_POST["preciodbs1"]):"";
$precioldollar					=isset($_POST["precioldollar1"])? limpiarCadena($_POST["precioldollar1"]):"";
$preciordollar					=isset($_POST["preciordollar1"])? limpiarCadena($_POST["preciordollar1"]):"";
$precioddollar					=isset($_POST["precioddollar1"])? limpiarCadena($_POST["precioddollar1"]):"";

$pvpldollar							=isset($_POST["pvpldollar1"])? limpiarCadena($_POST["pvpldollar1"]):"";
$pvprdollar							=isset($_POST["pvprdollar1"])? limpiarCadena($_POST["pvprdollar1"]):"";
$pvpddollar							=isset($_POST["pvpddollar1"])? limpiarCadena($_POST["pvpddollar1"]):"";

$pvplbs									=isset($_POST["pvplbs1"])? limpiarCadena($_POST["pvplbs1"]):"";
$pvprbs									=isset($_POST["pvprbs1"])? limpiarCadena($_POST["pvprbs1"]):"";
$pvpdbs									=isset($_POST["pvpdbs1"])? limpiarCadena($_POST["pvpdbs1"]):"";

if ($exento==''){
	$exento='no';
}

switch ($_GET["op"]) {
	case 'guardaryeditar':

		if (!file_exists($_FILES['imagen']['tmp_name'])|| !is_uploaded_file($_FILES['imagen']['tmp_name'])) {
			$imagen=$_POST["imagenactual"];
		}else{
			$ext=explode(".", $_FILES["imagen"]["name"]);
			if ($_FILES['imagen']['type']=="image/jpg" || $_FILES['imagen']['type']=="image/jpeg" || $_FILES['imagen']['type']=="image/png") {
				$imagen=round(microtime(true)).'.'. end($ext);
				move_uploaded_file($_FILES["imagen"]["tmp_name"], "../files/articulos/".$imagen);
			}
		}
		if (empty($idarticulo)) {
			$rspta=$articulo->insertar($idcategoria,$idalmacen,$codigo,$nombre,$stock,$precio,$preciod,$costo,$costod,$descripcion,$imagen,$exento,$idcategoriadeunidades,$idunidademedidad,$unidademedidad,$idfactorunidademedidad,$idtipoarticulo,$gradoalcohol,$preciopvp,$preciopvpd,$impuestoart18,$impuestoart18d,$preciolbs,$preciorbs,$preciodbs,$precioldollar,$preciordollar,$precioddollar,$idalicuota,$pvpldollar,$pvprdollar,$pvpddollar,$pvplbs,$pvprbs,$pvpdbs,$costoa,$costoad,$peso,$largo,$ancho,$alto);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			$rspta=$articulo->editar($idarticulo,$idcategoria,$idalmacen,$codigo,$nombre,$stock,$precio,$preciod,$costo,$costod,$descripcion,$imagen,$exento,$idcategoriadeunidades,$idunidademedidad,$unidademedidad,$idfactorunidademedidad,$idtipoarticulo,$gradoalcohol,$preciopvp,$preciopvpd,$impuestoart18,$impuestoart18d,$preciolbs,$preciorbs,$preciodbs,$precioldollar,$preciordollar,$precioddollar,$idalicuota,$pvpldollar,$pvprdollar,$pvpddollar,$pvplbs,$pvprbs,$pvpdbs,$costoa,$costoad,$peso,$largo,$ancho,$alto);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;
	
	case 'desactivar':
		$rspta=$articulo->desactivar($idarticulo);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;
	case 'activar':
		$rspta=$articulo->activar($idarticulo);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;
	
	case 'mostrar':
		$rspta=$articulo->mostrar($idarticulo);
		echo json_encode($rspta);
	break;
	
	case 'buscararticulo':
		$rspta=$articulo->buscararticulo($codigo);
		echo json_encode($rspta);
	break;

    case 'listar':
		$rspta=$articulo->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idarticulo.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idarticulo.')">
						<i class="fas fa-times"></i></button>':'
						<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idarticulo.')">
						<i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-primary btn-xs" 
						onclick="activar('.$reg->idarticulo.')"><i class="fa fa-check"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->categoria,
            "3"=>$reg->codigo,
			"4"=>number_format($reg->stock,0,',','.'),
			"5"=>number_format($reg->precio,2,',','.'),
			"6"=>number_format($reg->preciod,1,',','.'),
            "7"=>"<img src='./files/articulos/".$reg->imagen."' height='50px' width='50px'>",
            "8"=>$reg->descripcion,
            "9"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'selectCategoria':
		require_once "../modelos/Categoria.php";
		$categoria=new Categoria();

		$rspta=$categoria->select();

		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idcategoria.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectAlmacen':
		require_once "../modelos/Almacen.php";
		$almacen=new Almacen();

		$rspta=$almacen->select();

		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idalmacen.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectCategoriadeunidades':
		require_once "../modelos/Categoriadeunidades.php";
		$categoriadeunidades=new Categoriadeunidades();

		$rspta=$categoriadeunidades->select();

		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idcategoriadeunidades.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectUnidademedidad':
		require_once "../modelos/Unidademedidad.php";
		$unidademedidad=new Unidademedidad();

		$rspta=$unidademedidad->select();

		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idunidademedidad.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectfactorunidademedidad':
		require_once "../modelos/Factornidademedidad.php";
		$factornidademedidad	=	new Factornidademedidad();

		$rspta	=	$factornidademedidad->select();

		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idfactorunidademedidad.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selecttipoarticulo':
		require_once "../modelos/Tipoarticulo.php";
		$tipoarticulo	=	new Tipoarticulo();

		$rspta	=	$tipoarticulo->select();

		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idtipoarticulo.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectlistaprecio':
		require_once "../modelos/Listaprecio.php";
		$listaprecio	=	new Listaprecio();
		$rspta			=	$listaprecio->select();

		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idlistaprecio.'>'.$reg->descripcion.'</option>';
		}
	break;

	case 'selectmarca':
		require_once "../modelos/Marca.php";
		$marcaarticulo	=	new Marca();

		$rspta	=	$marcaarticulo->select();

		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idmarca.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectalicuota':
		require_once "../modelos/Alicuota.php";
		$alicuotaarticulo	=	new Alicuota();

		$rspta	=	$alicuotaarticulo->select();

		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idalicuota.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectModulo':
		require_once "../modelos/Modulo.php";
		$modulo=new Modulo();

		$rspta=$modulo->select();

		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idmodulo.'>'.$reg->nombre.'</option>';
		}
	break;	

	case 'selectBoleto':
		$rspta=$articulo->selectBoleto();
		//$rspta1=json_encode($rspta);
		//echo '<option value=1>'.$rspta1.'</option>';
		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->codigo.'>'.$reg->nombre.'</option>';
		}
	break;
}
 ?>